×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Aug 2009
    Posts
    31

    Python runtime problem

    I have a python script to read inbox msgs . I am using mergesis to merge my sis and Python runtime .
    1) I am not able to merge with PythonS60 runtime for 5th edition without PIPS . It says there are many sis files inside the python runtime for 5th edition
    2) When I install the runtime alone on my Nokia 5800 it says certificate expired
    3) I was able to merge my sis with Python runtime for 3 edition , but after installing it says I have to upgrade my phone and shows some mail software's to upgrade (I cannot expect my client to upgrade for installing my software)
    4)I installed the 3rd edition runtime and then installed my sis on the phone , still it did not work , asking for some updates .

    Is there any possible way I can use mergesis with the runtime for 5th edition , and the application runs without any upgrades and all .
    I am sorry if i am reposting , I am searched the forum but couldnt find help
    Please point me in the right direction

  2. #2
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Python runtime problem

    Quote Originally Posted by anandnarayan891 View Post
    I have a python script to read inbox msgs . I am using mergesis to merge my sis and Python runtime .
    Hello anandnarayan891

    First of all you need to mention what version of PyS60 you are using.
    Quote Originally Posted by anandnarayan891 View Post
    1) I am not able to merge with PythonS60 runtime for 5th edition without PIPS . It says there are many sis files inside the python runtime for 5th edition
    You need to use the makesis tool of to merge the sis of your application with the Python runtime.

    Quote Originally Posted by anandnarayan891 View Post
    2) When I install the runtime alone on my Nokia 5800 it says certificate expired.
    Setting your phones date to some months back may help you.

    Try following the above two suggestions and that would give a idea for your other questions.

    Regards,

  3. #3
    Registered User
    Join Date
    Aug 2009
    Posts
    31

    Re: Python runtime problem

    First of all you need to mention what version of PyS60 you are using.

    ----->1)The version of PyS60 is 1.4.5

    You need to use the makesis tool of to merge the sis of your application with the Python runtime.


    ----->2)I am using mergesis and I am not able to find anything in the ensymble tool as makesis


    Setting your phones date to some months back may help you.

    3) I can change the dates in my phone , but I cannot expect my customer to do that right?

  4. #4
    Nokia Developer Champion
    Join Date
    Feb 2008
    Location
    Ahmedabad, Gujarat, India
    Posts
    3,852

    Re: Python runtime problem

    hello anandnarayan891

    thats bit confusing if you are using PyS60 1.4.5 then how are you merging the Python runtime of 1.9.7. PyS60 1.4.5 doesnt have any sis embedded.

    Moreover Makesis is an symbian C++ application development tool, you can check the sdk documentation or carbide documentation for using that.

    Can you tell in detail which runtime are you trying to merge and in which release(1.4.5 or 1.9.x) you have developed your application??

    Regards,

Similar Threads

  1. Python for S60 1.9.6 released
    By tvijayan in forum Symbian
    Replies: 27
    Last Post: 2009-07-19, 15:52
  2. Problem with install Python SDK on PC
    By znakharenko in forum Symbian
    Replies: 9
    Last Post: 2008-08-14, 04:29
  3. Replies: 12
    Last Post: 2007-09-27, 13:07
  4. Replies: 1
    Last Post: 2007-09-25, 03:42
  5. Bluetooth Python Standalone APP problem
    By wallace_nogueira in forum Symbian
    Replies: 0
    Last Post: 2005-05-03, 19:25

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •